# Retrieving request statuses

{% hint style="warning" %}
Functionality available from platform version: **4.154.0**

The client **must** be logged in for the functionality to work.

Availability of the functionality depends on the license and may not be available in all deployments.
{% endhint %}

Using the function *api.status.v1.getClientFormsBasicInfo(*) we can retrieve the list of application statuses for the logged-in user.

Usage example:

```
function callService(context) {
    let value = api.status.v1.getClientFormsBasicInfo();
    return [{'output': JSON.stringify(value)}];
}
```

Sample response:

```
[
  {
    "externalId": "ALB900000001162",
    "formType": "300plus",
    "dmsFormId": "68a71197f30eacb2e439fed4",
    "formInstanceNumber": "ALB900000001162",
    "status": {
      "statusName": "SENT_UPO",
      "statusDescription": "The extension certificate has been sent to the beneficiary.",
      "date": "2025-08-21T12:40:42Z"
    },
    "creationDate": "2025-08-21T12:31:21Z"
  },
  {
    "externalId": "ALB900000001170",
    "formType": "300plus",
    "dmsFormId": "68a716faf4abe6c0f0cffc12",
    "formInstanceNumber": "ALB900000001170",
    "status": {
      "statusName": "DATA_ERROR",
      "statusDescription": "The application contains errors other than xsd errors. E.g. incorrect dictionary values, mismatches between data in the SOAP envelope and data in the application, etc.",
      "date": "2025-08-21T13:00:31Z"
    },
    "creationDate": "2025-08-21T12:55:15Z"
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/logika-biznesowa/scriptcode/skrypty-scriptservice/api-skryptow/pobieranie-statusow-wnioskow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
